package com.school.project.controller;

import com.querydsl.core.types.Predicate;
import com.school.project.model.Student;
import com.school.project.service.student.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.querydsl.binding.QuerydslPredicate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/query")
public class QueryDslController {

    @Autowired
    private StudentService studentService;


    @GetMapping
    public Iterable<Student> getStudent(@QuerydslPredicate(root = Student.class) Predicate predicate) {
        return studentService.getStudentByPredicate(predicate);
    }

}
